%global momorel 3
%global md5sum_src0 a6b73300d1247012a1b1246d935ac0d3

# Although we have newer cdparanoia package...
%global with_cdparanoia 1

Summary: GNU Compact Disc Input and Control Library
Name:	 libcdio
Version: 0.78.2
Release: %{momorel}m%{?dist}
License: LGPL
URL:	  http://www.gnu.org/software/libcdio/
Group:	 System Environment/Libraries
%NoSource 0 http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: info
Requires: libcddb
BuildRequires: libcddb-devel

%description
The Compact Disc Input and Control library (libcdio) contains a library for CD-ROM and CD image access. Applications wishing to be oblivious of the OS- and device-dependent properties of a CD-ROM or of the specific details of various CD-image formats may benefit from using this library.

Some support for on-disk CD-image types like CDRWIN's BIN/CUE format, cdrdao's TOC format, and Nero's NRG format is available. Therefore, applications that use this library also have the ability to read on-disk CD images as though they were CDs.

A library for working with ISO-9660 filesystems (libiso9660) is included. A generic interface for issuing MMC (multimedia commands) is also part of the libcdio library. 

%package devel
Summary:	%{name} header files and development documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for %{name}


%prep
%setup -q

%build
%configure \
%if ! %{with_cdparanoia}
	--without-cd-paranoia
%endif

%make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%if %{with_cdparanoia}
mv -f %{buildroot}%{_mandir}/jp %{buildroot}%{_mandir}/ja
%endif

%if ! %{with_cdparanoia}
rm -rf %{buildroot}%{_libdir}/pkgconfig/libcdio_paranoia.pc
%endif

# convert Japanese manual page from EUC-JP to UTF-8
for i in `find %{buildroot}%{_mandir}/ja -type f`; do
        iconv -f euc-jp -t utf-8 $i > $i.new && mv -f $i.new $i && chmod 444 $i
done

# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

# remove info/dir
rm -rf %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libcdio.info %{_infodir}/dir

%preun devel
if [ "$1" = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/libcdio.info
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc 
%{_bindir}/*
%{_libdir}/lib*.so.*
%if %{with_cdparanoia}
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
%endif

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*
%{_includedir}/*

%changelog
* Sat Jun 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.78.2-3m)
- convert ja.man from EUC-JP to UTF-8
- enable parallel build

* Sat Jan 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.78.2-2m)
- fix conflict files (/usr/share/info/dir)

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.78.2-1m)
- initial packaging for Momonga
